# Function UseComponent

- UseComponent<Component extends ControlValueAccessor>(
  component: Constructor<Component>,
  setProperties?: Partial<Record<keyof Component, any>>,
  ): (target: any, propertyKey: string) => void

  #### Type Parameters

  - Component extends ControlValueAccessor

  #### Parameters

  - component: Constructor<Component>
  - setProperties: Partial<Record<keyof Component, any>> = {}

  #### Returns (target: any, propertyKey: string) => void

  - Defined in packages/angular/form-system/src/lib/decorators/use-component.ts:6